#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  gdk-pixbuf-xlib-3116b8ae

- Next

  GLEW-2.2.0

- Up
- Home

# GDL-3.34.0

## Introduction to GDL

The GDL package provides a library that is useful for docking objects in GTK+ applications.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gdl/3.34/gdl-3.34.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gdl/3.34/gdl-3.34.0.tar.xz

- Download MD5 sum: d624f2ca85555402828d5c4a98912b82

- Download size: 520 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.1 SBU

### GDL Dependencies

#### Required

GTK+-3.24.25

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gdl

## Installation of GDL

Install GDL by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgdl-3.so
Installed Directories: /usr/include/libgdl-3.0 and /usr/share/gtk-doc/html/gdl-3.0

### Short Descriptions

`libgdl-3.so` | contains functions that allow for docking objects in GTK+ applications

Last updated on 2021-02-22 21:05:47 -0800

- Prev

  gdk-pixbuf-xlib-3116b8ae

- Next

  GLEW-2.2.0

- Up
- Home